commit:     214ce0abb88a1ca51930fa504bb21f92251970d6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 24 06:01:11 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 24 06:02:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=214ce0ab

dev-python/cftime: Bump to 1.6.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cftime/Manifest            |  1 +
 dev-python/cftime/cftime-1.6.3.ebuild | 39 +++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/cftime/Manifest b/dev-python/cftime/Manifest
index 85a5a1f0c0dc..764af2b9ea1e 100644
--- a/dev-python/cftime/Manifest
+++ b/dev-python/cftime/Manifest
@@ -1 +1,2 @@
 DIST cftime-1.6.2.tar.gz 52745 BLAKE2B 
f3e91585b40a981e1c752ec3f086a4611354e228592a1b581b05f003d68878245a8ab4fae332d9054c2a9e85ef921b9110a0f8473861bd3e4cc92c287259ad44
 SHA512 
d5135a55e5c9982247835e379bd35e4d8b47f0f70d08766f73223e0c40dc1875840c5cb40515e233196af1c10e992911325ff33a3c41efc3b8009e49de2a6e31
+DIST cftime-1.6.3.tar.gz 53256 BLAKE2B 
8875c368e6811487960fb240ed5320ab1dcc24f3678e9663e67b7c49ab8cc1f12a0030670760fcd1a15938b57f3860d5c9c9b30a3e5a0e1755fcd0c7b8deaf5f
 SHA512 
0bcb8dcf7a840e500d7cc0f784f960b4972803f353fcffbf36dc30b2169b6864aea1fd8cab2d60e7908a063db55f2cfa3639c51fea84692b2dfe2d83b954c0ae

diff --git a/dev-python/cftime/cftime-1.6.3.ebuild 
b/dev-python/cftime/cftime-1.6.3.ebuild
new file mode 100644
index 000000000000..ca951373b512
--- /dev/null
+++ b/dev-python/cftime/cftime-1.6.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Time-handling functionality from netcdf4-python"
+HOMEPAGE="
+       https://github.com/Unidata/cftime/
+       https://pypi.org/project/cftime/
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+DEPEND="
+       >=dev-python/numpy-1.26.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       >=dev-python/cython-0.29.20[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # remove pytest-cov dep
+       sed -e "/--cov/d" -i setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to